Subject: [Tls-reg-review] Request to register ALPN ID for DNS-over-TLS

From: "Reed, Jon" <[email-masked]>
Date: Mon, 16 Dec 2019 12:56:27 +0000

Hi, 

I'd like to request registration of an ALPN ID for DNS-over-TLS (RFC 7858).   The ID will be used, by prior out-of-band mutual agreement, in cases where DNS-over-TLS is used over a non-standard-part (e.g. 443).    The identification sequence will be: 0x64 0x6F 0x74 ("dot").

Rich Salz suggested I survey the dprive working group before doing this, and I have done so[1].  There appears to be support for this, including from one of the authors of RFC 7858, provided it's used by prior agreement on non-standard ports, and not required as part of normal use on port 853.

Please let me know if you have more questions or need more information.

Thanks, 

Jon

[1] https://mailarchive.ietf.org/arch/msg/dns-privacy/iZ2rDIhFB2ZWsGC3PcdBVLGa8Do <https://mailarchive.ietf.org/arch/msg/dns-privacy/iZ2rDIhFB2ZWsGC3PcdBVLGa8Do>

--
Jon Reed
[email-masked]
Nameservers Service Performance
Akamai Technologies